> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/public/unit_payment_options.md).

# Opções de Pagamento na Unidade

## Formas de pagamento de uma unidade

<mark style="color:blue;">`GET`</mark> `https://api.gestao.plus/order/info?q=options&p=u4:goiere&t=negotiationTypes`

Este endpoint permite a você listar as formas de pagamento de uma determinada unidade.

#### Query Parameters

| Name                                | Type    | Description                                                                                                                                                       |
| ----------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| t<mark style="color:red;">\*</mark> | string  | <p>A informação que queremos sobre o parametro "p",<br>nessa consulta escolhemos a "negotiationTypes", para<br>listar as formas de recebimento desta unidade.</p> |
| q<mark style="color:red;">\*</mark> | string  | A consulta "query" a ser realizada sobre os pedidos, neste caso iremos utilizar "options".                                                                        |
| p<mark style="color:red;">\*</mark> | boolean | <p>A unidade da qual iremos filtrar os tipos de<br>negociação utilizados, aqui utilizamos "u4\_goiere"</p>                                                        |

#### Headers

| Name                                     | Type   | Description                 |
| ---------------------------------------- | ------ | --------------------------- |
| Origin<mark style="color:red;">\*</mark> | string | URL de origem da requisição |

{% tabs %}
{% tab title="200 " %}

```
{
    "negotiationTypes": [
        {
            "id": 21,
            "description": "E-commerce - Cartão de crédito 1x",
            "paymentSettings": {
                "paymentMethod": "CARTAO_CREDITO",
                "installments": 1
            }
        },
        {
            "id": 22,
            "description": "E-commerce - Cartão de crédito 2x",
            "paymentSettings": {
                "paymentMethod": "CARTAO_CREDITO",
                "installments": 2
            }
        }
    ],
    "image": {
        "name": "airtonsena.jpg",
        "description": null,
        "href": "https://dev.gestao.plus/file?q={}=="
    },
    "description": "Unidade - Anapolis",
    "origin": "VENDA_ONLINE_UNIDADE",
    "id": "4",
    "_links": {
        "self": {
            "href": "https://api.gestao.plus/order/4"
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/public/unit_payment_options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
